summaryrefslogtreecommitdiff
path: root/tests/drm_lib.sh
diff options
context:
space:
mode:
authorBen Widawsky <ben@bwidawsk.net>2013-07-11 09:59:46 -0700
committerBen Widawsky <ben@bwidawsk.net>2013-07-21 22:04:20 -0700
commit89d96a12d61cade801f07e0d78028a613b841978 (patch)
treee2672afa0a7fe06d12a7afe2ea42ec98d2a4e311 /tests/drm_lib.sh
parentf801b928826f3a23979bf6e2747611895b1ea9c2 (diff)
tests: Basic tools tester
Requested-by: Daniel Vetter <daniel.vetter@ffwll.ch> Signed-off-by: Ben Widawsky <ben@bwidawsk.net>
Diffstat (limited to 'tests/drm_lib.sh')
-rwxr-xr-xtests/drm_lib.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/drm_lib.sh b/tests/drm_lib.sh
index 25197d400..97f6f9253 100755
--- a/tests/drm_lib.sh
+++ b/tests/drm_lib.sh
@@ -4,6 +4,10 @@ die() {
exit 1
}
+do_or_die() {
+ $@ > /dev/null 2>&1 || (echo "FAIL: $@ ($?)" && exit -1)
+}
+
if [ -d /debug/dri ] ; then
debugfs_path=/debug/dri
fi